Package org.eclipse.graphiti.tb

# Class ImageDecorator

java.lang.Object
org.eclipse.graphiti.tb.AbstractDecorator
org.eclipse.graphiti.tb.ImageDecorator

All Implemented Interfaces:
  `ILocation`, `IDecorator`, `IImageDecorator`

public class ImageDecorator extends AbstractDecorator implements IImageDecorator
Image decorators can be used to add an image to the visualization of a shape without modifying the dirty state of the displaying editor, see `IDecorator`.

## Constructor Summary

Constructors
Constructor
Description
`ImageDecorator(String imageId)`
Creates a new image decorator that decorates a shape with the image identified by the given image id.

## Method Summary

Modifier and Type
Method
Description
`String`
`getImageId()`
Gets the image id of the image used to decorate a shape.
`int`
`getX()`
Gets the x value.
`int`
`getY()`
Gets the y value.
`void`
`setX(int x)`
Sets the x coordinate of this location.
`void`
`setY(int y)`
Sets the y coordinate of this location.

### Methods inherited from class org.eclipse.graphiti.tb.AbstractDecorator

`getMessage, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.tb.IDecorator

`getMessage, setMessage`

## Constructor Details

### ImageDecorator

public ImageDecorator(String imageId)
Creates a new image decorator that decorates a shape with the image identified by the given image id.

Parameters:
  `imageId` - a `String` holding the image id

## Method Details

### getImageId

public String getImageId()
Description copied from interface: `IImageDecorator`
Gets the image id of the image used to decorate a shape.

Specified by:
  `getImageId` in interface `IImageDecorator`
Returns:
  a `String` holding the image id

### getX

public int getX()
Description copied from interface: `ILocation`
Gets the x value.

Specified by:
  `getX` in interface `ILocation`
Returns:
  the x value of this location

### getY

public int getY()
Description copied from interface: `ILocation`
Gets the y value.

Specified by:
  `getY` in interface `ILocation`
Returns:
  the y value of this location

### setX

public void setX(int x)
Description copied from interface: `ILocation`
Sets the x coordinate of this location.

Specified by:
  `setX` in interface `ILocation`
Parameters:
  `x` - the new x coordinate

### setY

public void setY(int y)
Description copied from interface: `ILocation`
Sets the y coordinate of this location.

Specified by:
  `setY` in interface `ILocation`
Parameters:
  `y` - the new y coordinate